Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPUsingDeclaration

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinding`, `ICPPBinding`

public interface ICPPUsingDeclaration extends ICPPBinding
A using declaration introduces a name into the declarative region in which it appears, that name is a synonym of some entity declared elsewhere The using declaration is both a declaration of a new binding and a reference to a previously declared binding

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ICPPUsingDeclaration[]`
`EMPTY_USING_DECL_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`IBinding[]`
`getDelegates()`
Return an array of bindings that were declared by this using declaration.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

## Field Details

### EMPTY_USING_DECL_ARRAY

static final ICPPUsingDeclaration[] EMPTY_USING_DECL_ARRAY

Since:
  6.3

## Method Details

### getDelegates

IBinding[] getDelegates()
Return an array of bindings that were declared by this using declaration. Each of these bindings delegates to some previously declared binding to which it is a reference.